<?php

namespace App;

use Illuminate\Database\Eloquent\Relations\Pivot;
use Illuminate\Database\Eloquent\Model;

class TenantTower extends Pivot
{  
    //
    protected $table = 'tenant_tower';
    
    protected $guarded = [];
    
    public $incrementing = true;

    public function antennamake()
    {
        # code...

        return $this->belongsTo("App\AntennaMake", "antenna_make_id");
    }

    public function antennatype()
    {
        # code...

        return $this->belongsTo("App\AntennaType", "antenna_type_id");
    }

    public function antennamodel()
    {
        # code...

        return $this->belongsTo("App\AntennaModel", "antenna_model_id");
    }

    public function tenant()
    {
        # code...
        return $this->belongsTo("App\Tenant", "tenant_id");
    }

    public function tower()
    {
        # code...
        return $this->belongsTo("App\Tower");
    }

    public function user()
    {
        # code...
        return $this->belongsTo("App\User");
    }
}
